Bug 1415829 - Backport: [RFE] [Neutron] [LBaaS v2] Loadbalancers should be rescheduled when a LBaaS agent goes offline
Summary: Backport: [RFE] [Neutron] [LBaaS v2] Loadbalancers should be rescheduled when...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 10.0 (Newton)
Assignee: Nir Magnezi
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1325861
Blocks: 1046780 1273812
TreeView+ depends on / blocked
 
Reported: 2017-01-23 20:27 UTC by Nir Magnezi
Modified: 2020-09-10 10:09 UTC (History)
16 users (show)

Fixed In Version: openstack-neutron-lbaas-9.1.0-3.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement adds the ability to automatically reschedule load balancers from dead LBaaS agents. Previously, load balancers could be scheduled across multiple LBaaS agents, however if a hypervisor died, the load balancers scheduled to that node would cease operation. With this update, these load balancers are automatically rescheduled to a different agent. This feature is turned off by default and controlled using `allow_automatic_lbaas_agent_failover`.
Clone Of: 1325861
Environment:
Last Closed: 2017-02-23 16:34:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1565511 0 None None None 2017-01-23 20:27:48 UTC
OpenStack gerrit 299998 0 None MERGED Auto reschedule loadbalancers from dead agents 2020-03-20 20:41:01 UTC
OpenStack gerrit 315074 0 None MERGED Generalise the logic of resource auto rescheduling 2020-03-20 20:41:01 UTC
Red Hat Product Errata RHBA-2017:0314 0 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2017-02-23 21:33:22 UTC

Comment 3 Nir Magnezi 2017-02-15 13:42:33 UTC
QE: Find verification Steps in Bug #1325861 attachment 1250611 [details]

Comment 6 errata-xmlrpc 2017-02-23 16:34:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0314.html


Note You need to log in before you can comment on or make changes to this bug.